Aprepro 5.0x

Public Types | Public Member Functions | List of all members
SEAMS::Parser::stack_symbol_type Struct Reference

"Internal" symbol: element of the stack. More...

Inheritance diagram for SEAMS::Parser::stack_symbol_type:
[legend]
Collaboration diagram for SEAMS::Parser::stack_symbol_type:
[legend]

## Public Types
typedef basic_symbol< by_state > | super_type
| Superclass. More...
Public Types inherited from SEAMS::Parser::basic_symbol< by_state >
typedef by_state | super_type
| Alias to Base. More...
Public Types inherited from SEAMS::Parser::by_state
enum | { empty_state = -1 }
| The state number used to denote an empty symbol. More...
typedef state_type | kind_type
| The symbol type as needed by the constructor. More...

## Public Member Functions
| stack_symbol_type ()
| Construct an empty symbol. More...
| stack_symbol_type (YY_RVREF(stack_symbol_type) that)
| Move or copy construction. More...
| stack_symbol_type (state_type s, YY_MOVE_REF(symbol_type) sym)
| Steal the contents from sym to build this. More...
stack_symbol_type & | operator= (stack_symbol_type &that)
Public Member Functions inherited from SEAMS::Parser::basic_symbol< by_state >
| basic_symbol ()
| Default constructor. More...
| basic_symbol (const basic_symbol &that)
| Copy constructor. More...
| basic_symbol (typename by_state ::kind_type t)
| Constructor for valueless symbols. More...
| basic_symbol (typename by_state ::kind_type t, YY_RVREF(semantic_type) v)
| Constructor for symbols with semantic value. More...
| ~basic_symbol ()
| Destroy the symbol. More...
void | clear ()
| Destroy contents, and record that is empty. More...
bool | empty () const YY_NOEXCEPT
| Whether empty. More...
void | move (basic_symbol &s)
| Destructive move, s is emptied into this. More...
Public Member Functions inherited from SEAMS::Parser::by_state
| by_state () YY_NOEXCEPT
| Default constructor. More...
| by_state (kind_type s) YY_NOEXCEPT
| Constructor. More...
| by_state (const by_state &that) YY_NOEXCEPT
| Copy constructor. More...
void | clear () YY_NOEXCEPT
| Record that this symbol is empty. More...
void | move (by_state &that)
| Steal the symbol type from that. More...
symbol_number_type | type_get () const YY_NOEXCEPT

## Additional Inherited Members
Public Attributes inherited from SEAMS::Parser::basic_symbol< by_state >
semantic_type | value
| The semantic value. More...
Public Attributes inherited from SEAMS::Parser::by_state
state_type | state

## Detailed Description

"Internal" symbol: element of the stack.

## Member Typedef Documentation

## ◆ super_type

typedef basic_symbol<by_state> SEAMS::Parser::stack_symbol_type::super_type

Superclass.

## Constructor & Destructor Documentation

## ◆ stack_symbol_type() [1/3]

SEAMS::Parser::stack_symbol_type::stack_symbol_type | ( |  | ) |

Construct an empty symbol.

## ◆ stack_symbol_type() [2/3]

SEAMS::Parser::stack_symbol_type::stack_symbol_type | ( | YY_RVREF(stack_symbol_type) | that | ) |

Move or copy construction.

## ◆ stack_symbol_type() [3/3]

SEAMS::Parser::stack_symbol_type::stack_symbol_type | ( | state_type | s,
|  | YY_MOVE_REF(symbol_type) | sym
| ) |  |

Steal the contents from sym to build this.

## Member Function Documentation

## ◆ operator=()

Parser::stack_symbol_type & SEAMS::Parser::stack_symbol_type::operator= | ( | stack_symbol_type & | that | ) |

Assignment, needed by push_back by some old implementations. Moves the contents of that.

The documentation for this struct was generated from the following files:

- aprepro_parser.h
- apr_parser.cc